

"inttobitset" <- function(shape,maxlength)
#  locations.present takes a shape output 
# and returns a logical vector with TRUE where a location is
# present and FALSE otherwise 
{
  if (missing(maxlength))
    maxlength <- floor(log(max(shape),2))+1
  if (maxlength>32)
    stop("Have a maximum length of 32 for bitset")
  r <- .C("conv"
     ,as.integer(shape)
     ,as.integer(length(shape)),
     ,as.logical(numeric(maxlength*length(shape)))
     ,as.integer(maxlength)
     )
  matrix(r[[3]],ncol=maxlength,byrow=T)
}

"popsfromshape" <-
function (shape, name = popnames) 
#   usage: 
#  use popsfromshape(
#  	shape.value - the number of the shape
#       name - a vector of the population names  
#
{
  if (missing(name)) {
    l <- floor(log(max(shape),2))+1
    name <- LETTERS[1:l]
  }
  
  l <- inttobitset(shape,length(name))
  apply(l,1,
        function(x) paste("(",
                          paste(name[x], collapse = ",", sep = "")
                          ,")",collapse="",sep="")
        )
}
