\name{popsfromshape}
\alias{popsfromshape}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Get a shape from a vector of population labels }
\description{
 Function takes a vector of integers between 1 and 2^npops and returns a
 matrix of booleans that indicate whether a population is present.
}
\usage{
popsfromshape(shape, name = popnames)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{shape}{a vector of positive integers - generally the shape
    output from batwing}
  \item{name}{ The population names.  If not given then letters used }
}

\details{
  The populations present is based on a binary coding, 1 (...001) indicates
  just  population 1, 2 (...010), means just population 2, 3 (...011):
  both 1 and 2, 4 (...100) just population 3 etc.
}
\value{
  A matrix of logicals with either the minimum number of columns
  neccessary (if \code{name} is not provided) or with
  \code{length(name)} ccolumns.
}
\references{BATWING website \url{http://www.mas.ncl.ac.uk/~nijw}}
  \author{Ian Wilson \email{I.J.Wilson@ncl.ac.uk}}

  \section{Warning}{The code works with a maximum of 32 populations}
  
\seealso{\code{\link{supported}}}

\examples{
popsfromshape(1:31)
popsfromshape(5,name=c("YRI","CEU","HCB"))
}
\keyword{ manip }% at least one, from doc/KEYWORDS

